Bug 137190 - Empty VG name: command still attempted
Summary: Empty VG name: command still attempted
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jim Parsons
QA Contact: Jim Parsons
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-26 16:27 UTC by Derek Anderson
Modified: 2009-04-16 23:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 15:42:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Anderson 2004-10-26 16:27:10 UTC
Description of problem:
If you attempt to create a VG with a blank name you get the error
message, but then the command is still attempted.  It should not. 
Just need a return statement in InputController.py after the failure
condition, like the rest of the input checks:

~224:
    proposed_name = self.new_vg_name.get_text().strip()
    if proposed_name == "":
      self.errorMessage(MUST_PROVIDE_VG_NAME)

Version-Release number of selected component (if applicable):
system-config-lvm-0.9.1-2.5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jim Parsons 2004-10-29 21:49:06 UTC
Fixed in 0.9.4-1.0

Comment 2 Derek Anderson 2004-11-04 15:42:36 UTC
Verified in system-config-lvm-0.9.6-1.0:

Get the error message, "A Name must be provided for the new Volume
Group", click OK, you go back to the New Volume Group dialog.  Much
better.


Note You need to log in before you can comment on or make changes to this bug.